Interface JettyDeployer.Request

  • Enclosing class:
    JettyDeployer

    public static interface JettyDeployer.Request
    Provides the request operations needed by the common deployer.
    • Method Detail

      • getParameter

        String getParameter​(String name)
        Returns a request parameter.
        Parameters:
        name - parameter name
        Returns:
        parameter value
      • getInputStream

        InputStream getInputStream()
                            throws IOException
        Returns the request input stream.
        Returns:
        request input stream
        Throws:
        IOException - if the stream cannot be obtained
      • getServletPath

        String getServletPath()
        Returns the servlet path.
        Returns:
        servlet path